#ifndef ENTITY_H
#define ENTITY_H

#include "gaming-core/math/Vector.h"

struct Entity {
    Vector2 lastPosition;
    Vector2 position;
    Vector2 size;
    Vector2 velocity;
    Vector2 acceleration;
    Vector2 force;
    float inverseMass;
    bool onGround;

    Entity(const Vector2& size, float mass);

    void addForce(const Vector2& force);
    void preTick();
    void tick();
};

#endif